apiVersion: apps/v1
kind: Deployment
metadata:
  name: scrumify-v1.5.43
  namespace: dev-nj-gilberto-cluster
  labels:
    app: scrumify
spec:
  replicas: 2
  selector:
    matchLabels:
      app: scrumify
      version: v1.5.43
  template:
    metadata:
      labels:
        app: scrumify
        version: v1.5.43
      annotations:
        prometheus.io/scrape: "true"
        prometheus.io/port: "8080"
        prometheus.io/path: "/actuator/prometheus"
    spec:
      containers:
      - name: app
        image: eu.gcr.io/acn-gcp-cloudtraining/scrumify-dev-nj-gilberto-cluster:v1.5.43
        ports:
        - name: http2-web
          containerPort: 8080
        env:
        - name: VERSION
          value: v1.5.43
        readinessProbe:
          httpGet:
            path: /login
            port: http2-web
          periodSeconds: 15
